Index: issm/trunk/src/m/enum/EnumDefinitions.py
===================================================================
--- issm/trunk/src/m/enum/EnumDefinitions.py	(revision 13395)
+++ issm/trunk/src/m/enum/EnumDefinitions.py	(revision 13975)
@@ -19,14 +19,4 @@
 	return StringToEnum('AutodiffIsautodiff')[0]
 
-def AutodiffDependentsEnum():
-	"""
-	AUTODIFFDEPENDENTSENUM - Enum of AutodiffDependents
-
-	   Usage:
-	      macro=AutodiffDependentsEnum()
-	"""
-
-	return StringToEnum('AutodiffDependents')[0]
-
 def AutodiffNumDependentsEnum():
 	"""
@@ -39,13 +29,53 @@
 	return StringToEnum('AutodiffNumDependents')[0]
 
-def AutodiffIndependentsEnum():
-	"""
-	AUTODIFFINDEPENDENTSENUM - Enum of AutodiffIndependents
-
-	   Usage:
-	      macro=AutodiffIndependentsEnum()
-	"""
-
-	return StringToEnum('AutodiffIndependents')[0]
+def AutodiffNumDependentObjectsEnum():
+	"""
+	AUTODIFFNUMDEPENDENTOBJECTSENUM - Enum of AutodiffNumDependentObjects
+
+	   Usage:
+	      macro=AutodiffNumDependentObjectsEnum()
+	"""
+
+	return StringToEnum('AutodiffNumDependentObjects')[0]
+
+def AutodiffDependentObjectNamesEnum():
+	"""
+	AUTODIFFDEPENDENTOBJECTNAMESENUM - Enum of AutodiffDependentObjectNames
+
+	   Usage:
+	      macro=AutodiffDependentObjectNamesEnum()
+	"""
+
+	return StringToEnum('AutodiffDependentObjectNames')[0]
+
+def AutodiffDependentObjectTypesEnum():
+	"""
+	AUTODIFFDEPENDENTOBJECTTYPESENUM - Enum of AutodiffDependentObjectTypes
+
+	   Usage:
+	      macro=AutodiffDependentObjectTypesEnum()
+	"""
+
+	return StringToEnum('AutodiffDependentObjectTypes')[0]
+
+def AutodiffDependentObjectIndicesEnum():
+	"""
+	AUTODIFFDEPENDENTOBJECTINDICESENUM - Enum of AutodiffDependentObjectIndices
+
+	   Usage:
+	      macro=AutodiffDependentObjectIndicesEnum()
+	"""
+
+	return StringToEnum('AutodiffDependentObjectIndices')[0]
+
+def AutodiffDependentObjectsEnum():
+	"""
+	AUTODIFFDEPENDENTOBJECTSENUM - Enum of AutodiffDependentObjects
+
+	   Usage:
+	      macro=AutodiffDependentObjectsEnum()
+	"""
+
+	return StringToEnum('AutodiffDependentObjects')[0]
 
 def AutodiffNumIndependentsEnum():
@@ -59,4 +89,44 @@
 	return StringToEnum('AutodiffNumIndependents')[0]
 
+def AutodiffNumIndependentObjectsEnum():
+	"""
+	AUTODIFFNUMINDEPENDENTOBJECTSENUM - Enum of AutodiffNumIndependentObjects
+
+	   Usage:
+	      macro=AutodiffNumIndependentObjectsEnum()
+	"""
+
+	return StringToEnum('AutodiffNumIndependentObjects')[0]
+
+def AutodiffIndependentObjectNamesEnum():
+	"""
+	AUTODIFFINDEPENDENTOBJECTNAMESENUM - Enum of AutodiffIndependentObjectNames
+
+	   Usage:
+	      macro=AutodiffIndependentObjectNamesEnum()
+	"""
+
+	return StringToEnum('AutodiffIndependentObjectNames')[0]
+
+def AutodiffIndependentObjectTypesEnum():
+	"""
+	AUTODIFFINDEPENDENTOBJECTTYPESENUM - Enum of AutodiffIndependentObjectTypes
+
+	   Usage:
+	      macro=AutodiffIndependentObjectTypesEnum()
+	"""
+
+	return StringToEnum('AutodiffIndependentObjectTypes')[0]
+
+def AutodiffIndependentObjectsEnum():
+	"""
+	AUTODIFFINDEPENDENTOBJECTSENUM - Enum of AutodiffIndependentObjects
+
+	   Usage:
+	      macro=AutodiffIndependentObjectsEnum()
+	"""
+
+	return StringToEnum('AutodiffIndependentObjects')[0]
+
 def AutodiffJacobianEnum():
 	"""
@@ -79,13 +149,63 @@
 	return StringToEnum('AutodiffXp')[0]
 
-def AutodiffFosForwardOutputEnum():
-	"""
-	AUTODIFFFOSFORWARDOUTPUTENUM - Enum of AutodiffFosForwardOutput
-
-	   Usage:
-	      macro=AutodiffFosForwardOutputEnum()
-	"""
-
-	return StringToEnum('AutodiffFosForwardOutput')[0]
+def AutodiffDriverEnum():
+	"""
+	AUTODIFFDRIVERENUM - Enum of AutodiffDriver
+
+	   Usage:
+	      macro=AutodiffDriverEnum()
+	"""
+
+	return StringToEnum('AutodiffDriver')[0]
+
+def AutodiffFosForwardIndexEnum():
+	"""
+	AUTODIFFFOSFORWARDINDEXENUM - Enum of AutodiffFosForwardIndex
+
+	   Usage:
+	      macro=AutodiffFosForwardIndexEnum()
+	"""
+
+	return StringToEnum('AutodiffFosForwardIndex')[0]
+
+def AutodiffFovForwardIndicesEnum():
+	"""
+	AUTODIFFFOVFORWARDINDICESENUM - Enum of AutodiffFovForwardIndices
+
+	   Usage:
+	      macro=AutodiffFovForwardIndicesEnum()
+	"""
+
+	return StringToEnum('AutodiffFovForwardIndices')[0]
+
+def AutodiffFosReverseIndexEnum():
+	"""
+	AUTODIFFFOSREVERSEINDEXENUM - Enum of AutodiffFosReverseIndex
+
+	   Usage:
+	      macro=AutodiffFosReverseIndexEnum()
+	"""
+
+	return StringToEnum('AutodiffFosReverseIndex')[0]
+
+def AutodiffMassFluxSegmentsPresentEnum():
+	"""
+	AUTODIFFMASSFLUXSEGMENTSPRESENTENUM - Enum of AutodiffMassFluxSegmentsPresent
+
+	   Usage:
+	      macro=AutodiffMassFluxSegmentsPresentEnum()
+	"""
+
+	return StringToEnum('AutodiffMassFluxSegmentsPresent')[0]
+
+def AutodiffKeepEnum():
+	"""
+	AUTODIFFKEEPENUM - Enum of AutodiffKeep
+
+	   Usage:
+	      macro=AutodiffKeepEnum()
+	"""
+
+	return StringToEnum('AutodiffKeep')[0]
 
 def BalancethicknessSpcthicknessEnum():
@@ -199,4 +319,14 @@
 	return StringToEnum('ConstantsYts')[0]
 
+def DependentObjectEnum():
+	"""
+	DEPENDENTOBJECTENUM - Enum of DependentObject
+
+	   Usage:
+	      macro=DependentObjectEnum()
+	"""
+
+	return StringToEnum('DependentObject')[0]
+
 def DiagnosticAbstolEnum():
 	"""
@@ -589,4 +719,14 @@
 	return StringToEnum('HydrologyStabilization')[0]
 
+def IndependentObjectEnum():
+	"""
+	INDEPENDENTOBJECTENUM - Enum of IndependentObject
+
+	   Usage:
+	      macro=IndependentObjectEnum()
+	"""
+
+	return StringToEnum('IndependentObject')[0]
+
 def InversionControlParametersEnum():
 	"""
@@ -1319,4 +1459,24 @@
 	return StringToEnum('PrognosticVertexPairing')[0]
 
+def PrognosticNumRequestedOutputsEnum():
+	"""
+	PROGNOSTICNUMREQUESTEDOUTPUTSENUM - Enum of PrognosticNumRequestedOutputs
+
+	   Usage:
+	      macro=PrognosticNumRequestedOutputsEnum()
+	"""
+
+	return StringToEnum('PrognosticNumRequestedOutputs')[0]
+
+def PrognosticRequestedOutputsEnum():
+	"""
+	PROGNOSTICREQUESTEDOUTPUTSENUM - Enum of PrognosticRequestedOutputs
+
+	   Usage:
+	      macro=PrognosticRequestedOutputsEnum()
+	"""
+
+	return StringToEnum('PrognosticRequestedOutputs')[0]
+
 def QmuIsdakotaEnum():
 	"""
@@ -1329,13 +1489,33 @@
 	return StringToEnum('QmuIsdakota')[0]
 
-def QmuMassFluxSegmentsEnum():
-	"""
-	QMUMASSFLUXSEGMENTSENUM - Enum of QmuMassFluxSegments
-
-	   Usage:
-	      macro=QmuMassFluxSegmentsEnum()
-	"""
-
-	return StringToEnum('QmuMassFluxSegments')[0]
+def MassFluxSegmentsEnum():
+	"""
+	MASSFLUXSEGMENTSENUM - Enum of MassFluxSegments
+
+	   Usage:
+	      macro=MassFluxSegmentsEnum()
+	"""
+
+	return StringToEnum('MassFluxSegments')[0]
+
+def MassFluxSegmentsPresentEnum():
+	"""
+	MASSFLUXSEGMENTSPRESENTENUM - Enum of MassFluxSegmentsPresent
+
+	   Usage:
+	      macro=MassFluxSegmentsPresentEnum()
+	"""
+
+	return StringToEnum('MassFluxSegmentsPresent')[0]
+
+def QmuMassFluxSegmentsPresentEnum():
+	"""
+	QMUMASSFLUXSEGMENTSPRESENTENUM - Enum of QmuMassFluxSegmentsPresent
+
+	   Usage:
+	      macro=QmuMassFluxSegmentsPresentEnum()
+	"""
+
+	return StringToEnum('QmuMassFluxSegmentsPresent')[0]
 
 def QmuNumberofpartitionsEnum():
@@ -1679,4 +1859,24 @@
 	return StringToEnum('SurfaceforcingsHc')[0]
 
+def SurfaceforcingsHrefEnum():
+	"""
+	SURFACEFORCINGSHREFENUM - Enum of SurfaceforcingsHref
+
+	   Usage:
+	      macro=SurfaceforcingsHrefEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsHref')[0]
+
+def SurfaceforcingsSmbrefEnum():
+	"""
+	SURFACEFORCINGSSMBREFENUM - Enum of SurfaceforcingsSmbref
+
+	   Usage:
+	      macro=SurfaceforcingsSmbrefEnum()
+	"""
+
+	return StringToEnum('SurfaceforcingsSmbref')[0]
+
 def SurfaceforcingsSmbPosMaxEnum():
 	"""
@@ -2539,4 +2739,14 @@
 	return StringToEnum('DoubleInput')[0]
 
+def DataSetParamEnum():
+	"""
+	DATASETPARAMENUM - Enum of DataSetParam
+
+	   Usage:
+	      macro=DataSetParamEnum()
+	"""
+
+	return StringToEnum('DataSetParam')[0]
+
 def DoubleMatArrayParamEnum():
 	"""
@@ -2829,4 +3039,14 @@
 	return StringToEnum('PentaP1Input')[0]
 
+def ProfilerEnum():
+	"""
+	PROFILERENUM - Enum of Profiler
+
+	   Usage:
+	      macro=ProfilerEnum()
+	"""
+
+	return StringToEnum('Profiler')[0]
+
 def MatrixParamEnum():
 	"""
@@ -4509,4 +4729,24 @@
 	return StringToEnum('OutputFilePointer')[0]
 
+def OutputFileNameEnum():
+	"""
+	OUTPUTFILENAMEENUM - Enum of OutputFileName
+
+	   Usage:
+	      macro=OutputFileNameEnum()
+	"""
+
+	return StringToEnum('OutputFileName')[0]
+
+def LockFileNameEnum():
+	"""
+	LOCKFILENAMEENUM - Enum of LockFileName
+
+	   Usage:
+	      macro=LockFileNameEnum()
+	"""
+
+	return StringToEnum('LockFileName')[0]
+
 def PetscOptionsAnalysesEnum():
 	"""
@@ -4757,4 +4997,4 @@
 	"""
 
-	return 474
-
+	return 498
+
